using System;
class Program
 {
     static void Main() { string[] red,red2;
      int s=0;
      Console.WriteLine("Unesi broj elemenata u nizu i k.");
      red=Console.ReadLine().Split();
      int n=int.Parse(red[0]);
      int k=int.Parse(red[1]);
      int[] a=new int[n];
        Console.WriteLine("Unesi elemente niza A.");
        red2=Console.ReadLine().Split();
         for (int i=0;i<n;i++)
            a[i]=int.Parse(red2[i]);
      if (k==0)
        for (int i=0;i<n;i++)
            s+=a[i];
    else {
    for (int j=0;j<n;j++) {
        for (int m=n;m>j;m--) {
            for (int i=j;i<m;i++)
                s+=a[i];
    }
    }
    }
    Console.WriteLine(s.ToString());
  } }